Forum / Remote Desktop Manager Mac - Support

Safari Extension for macOS Mojave 10.14

  • Create an Issue
  • Cancel

Hallo,

since I have upgraded to macOS Mojave 10.14, I can't use the Safari Extension for RDM 5.5.1.0. When I want to install the Safari Extension I'm getting an error, that says: Safari doesn't support unsafe extensions anymore and I should use the AppStore to install a new trusted App.

But in the AppStore there isn't a RDM extension. When will there a new extension for Safari in macOS Mojave available?

Thanks.

Clock2 yrs

Hi Christian,

Apple decided to deprecate Safari Extensions and are now legacy.

Legacy Safari Extensions refers to the legacy .safariextz-style Safari extensions. Legacy Safari Extensions distributed outside of the Safari Extensions Gallery are not supported in Safari 12. Legacy Safari Extensions distributed in the Safari Extension Gallery are deprecated, and Safari 12 is the last release to support them.

The new extensions are now called Safari App Extension and need a native macOS app to work. Unfortunately, we can't integrate it with RDM Mac because we use Xamarin to develop the app and it is not yet supported in it.
Reference: https://github.com/xamarin/xamarin-macios/issues/4778

We are investigating to see what we can do.

In the meantime, I recommend you to use the Chrome, Firefox or Opera extension.

Best regards,

Olivier Désalliers

signaturesignature

Clock2 yrs